# The overall system test suite for PrivateStorageio NixOS configuration.
{ pkgs }:
let
  # Add custom packages as an attribute, so it they only need to be evalutated once.
  # See the comment in `morph/lib/default.nix` for details.
  pkgs' = pkgs.extend (self: super: { ourpkgs = self.callPackage ./pkgs {}; });
in {
  private-storage = pkgs'.nixosTest ./tests/private-storage.nix;

  # The spending service is not deployed so it doesn't seem *necessary* to run
  # its test suite here.  The packaging still uses mach-nix which is
  # incompatible with NixOS 22.11 so we can't actually load the ZKAP spending
  # service derivation anymore.  So ... disable the test suite.
  #
  # spending = pkgs'.nixosTest ./tests/spending.nix;

  tahoe = pkgs'.nixosTest ./tests/tahoe.nix;
}
